Skip to content

bots.revokeGrant

DELETE
/v1/bots/{botId}/grants/{grantId}
curl --request DELETE \
--url https://example.com/v1/bots/example/grants/example \
--header 'Authorization: Bearer <token>'

Revokes a Grant and every Grant that came from it.

botId
required
string
>= 1 characters <= 128 characters
grantId
required
string

BotInvalid | OrganizationRequired

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: BotInvalid
message
required
string

Example

{
"_tag": "BotInvalid"
}

AuthenticationRequired

Media typeapplication/json
object
_tag
required
string
Allowed values: AuthenticationRequired

Example

{
"_tag": "AuthenticationRequired"
}

PermissionDenied | MembershipRequired | ForbiddenOrigin

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: PermissionDenied
permission
required
string
Allowed values: responses.run sessions.read sessions.write requests.resolve bots.read bots.write bots.delegate bots.share triggers.read triggers.write channels.read channels.write channels.use channel_identities.read channel_identities.write connections.read connections.write apps.use apps.publish computers.read computers.write computers.use computer_providers.read computer_providers.write computer_providers.use models.use tokens.read tokens.write organization.read organization.write roles.write model_providers.read model_providers.write sso.read sso.write platform.read platform.write members.read members.write audit_logs.read usage.read budgets.read budgets.write
resource
required
string

Example

{
"_tag": "PermissionDenied",
"permission": "responses.run"
}

BotNotFound

Media typeapplication/json
object
_tag
required
string
Allowed values: BotNotFound
bot
required
string

Example

{
"_tag": "BotNotFound"
}

BotConflict

Media typeapplication/json
object
_tag
required
string
Allowed values: BotConflict
message
required
string

Example

{
"_tag": "BotConflict"
}

RateLimited

Media typeapplication/json
object
_tag
required
string
Allowed values: RateLimited
retryAfterSeconds
required
integer
>= -9007199254740991 <= 9007199254740991

Example

{
"_tag": "RateLimited"
}

AuthorizationUnavailable | BotStorageUnavailable | AuthenticationUnavailable

Media typeapplication/json
Any of:
object
_tag
required
string
Allowed values: AuthorizationUnavailable

Example

{
"_tag": "AuthorizationUnavailable"
}